{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.jetbrains.idea-community = {
    enable = lib.mkEnableOption "enable idea-community";
  };

  config = lib.mkIf config.programs.jetbrains.idea-community.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        jetbrains.idea-community
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        # TODO: map impermanence for idea-community
      }
    )
  ]);
}
